summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorTobias Klausmann <klausman@gentoo.org>2019-03-19 15:23:14 +0100
committerTobias Klausmann <klausman@gentoo.org>2019-03-19 15:23:34 +0100
commitddcbbd13eb5e2ef77e733a67a05cedd03ab313cf (patch)
tree089d63add33bb01166eb7a9232a49958310be085 /net-im/prosody
parentwww-client/vivaldi-snapshot: Old (diff)
downloadgentoo-ddcbbd13eb5e2ef77e733a67a05cedd03ab313cf.tar.gz
gentoo-ddcbbd13eb5e2ef77e733a67a05cedd03ab313cf.tar.bz2
gentoo-ddcbbd13eb5e2ef77e733a67a05cedd03ab313cf.zip
net-im/prosody: Patch default config
This makes sure the default config uses the right user/group (jabber:jabber) and PID file. Fixes: https://bugs.gentoo.org/497104 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Tobias Klausmann <klausman@gentoo.org>
Diffstat (limited to 'net-im/prosody')
-rw-r--r--net-im/prosody/files/prosody_cfg-0.11.2-r1.patch16
-rw-r--r--net-im/prosody/prosody-0.11.2-r1.ebuild87
2 files changed, 103 insertions, 0 deletions
diff --git a/net-im/prosody/files/prosody_cfg-0.11.2-r1.patch b/net-im/prosody/files/prosody_cfg-0.11.2-r1.patch
new file mode 100644
index 00000000000..94423a834ae
--- /dev/null
+++ b/net-im/prosody/files/prosody_cfg-0.11.2-r1.patch
@@ -0,0 +1,16 @@
+--- a/prosody.cfg.lua.dist 2019-03-19 15:11:16.355743969 +0100
++++ b/prosody.cfg.lua.dist 2019-03-19 15:14:42.810995725 +0100
+@@ -32,6 +32,13 @@
+ -- will look for modules first. For community modules, see https://modules.prosody.im/
+ --plugin_paths = {}
+
++-- Gentoo uses the jabber:jabber uid/gid for all Jabber-related services
++prosody_user = "jabber"
++prosody_group = "jabber"
++
++-- Make sure prosodyctl checks in the right spot for the PID file
++pidfile = "/run/jabber/prosody.pid"
++
+ -- This is the list of modules Prosody will load on startup.
+ -- It looks for mod_modulename.lua in the plugins folder, so make sure that exists too.
+ -- Documentation for bundled modules can be found at: https://prosody.im/doc/modules
diff --git a/net-im/prosody/prosody-0.11.2-r1.ebuild b/net-im/prosody/prosody-0.11.2-r1.ebuild
new file mode 100644
index 00000000000..9fd8dbddef8
--- /dev/null
+++ b/net-im/prosody/prosody-0.11.2-r1.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic multilib systemd
+
+MY_PV=$(ver_rs 3 '')
+MY_P="${PN}-${MY_PV}"
+DESCRIPTION="Prosody is a flexible communications server for Jabber/XMPP written in Lua"
+HOMEPAGE="https://prosody.im/"
+SRC_URI="https://prosody.im/tmp/${MY_PV}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="ipv6 libevent mysql postgres sqlite ssl zlib jit libressl test"
+
+BASE_DEPEND="net-im/jabber-base
+ dev-lua/LuaBitOp
+ !jit? ( >=dev-lang/lua-5.1:0 )
+ jit? ( dev-lang/luajit:2 )
+ >=net-dns/libidn-1.1:=
+ !libressl? ( dev-libs/openssl:0 ) libressl? ( dev-libs/libressl:= )"
+
+DEPEND="${BASE_DEPEND}
+ test? ( dev-lua/busted )"
+
+RDEPEND="${BASE_DEPEND}
+ >=dev-lua/luaexpat-1.3.0
+ dev-lua/luafilesystem
+ ipv6? ( >=dev-lua/luasocket-3 )
+ !ipv6? ( dev-lua/luasocket )
+ libevent? ( >=dev-lua/luaevent-0.4.3 )
+ mysql? ( dev-lua/luadbi[mysql] )
+ postgres? ( dev-lua/luadbi[postgres] )
+ sqlite? ( dev-lua/luadbi[sqlite] )
+ ssl? ( dev-lua/luasec )
+ zlib? ( dev-lua/lua-zlib )"
+
+S=${WORKDIR}/${MY_P}
+
+JABBER_ETC="/etc/jabber"
+JABBER_SPOOL="/var/spool/jabber"
+
+src_prepare() {
+ default
+ rm makefile && mv GNUmakefile Makefile || die
+ sed -i -e "s!MODULES = \$(DESTDIR)\$(PREFIX)/lib/!MODULES = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
+ -e "s!SOURCE = \$(DESTDIR)\$(PREFIX)/lib/!SOURCE = \$(DESTDIR)\$(PREFIX)/$(get_libdir)/!"\
+ -e "s!INSTALLEDSOURCE = \$(PREFIX)/lib/!INSTALLEDSOURCE = \$(PREFIX)/$(get_libdir)/!"\
+ -e "s!INSTALLEDMODULES = \$(PREFIX)/lib/!INSTALLEDMODULES = \$(PREFIX)/$(get_libdir)/!"\
+ Makefile || die
+ eapply "${FILESDIR}/prosody_cfg-0.11.2-r1.patch"
+}
+
+src_configure() {
+ # the configure script is handcrafted (and yells at unknown options)
+ # hence do not use 'econf'
+ append-cflags -D_GNU_SOURCE
+ ./configure \
+ --ostype=linux \
+ --prefix="${EPREFIX}/usr" \
+ --libdir="${EPREFIX}/usr/$(get_libdir)" \
+ --sysconfdir="${EPREFIX}/${JABBER_ETC}" \
+ --datadir="${EPREFIX}/${JABBER_SPOOL}" \
+ --with-lua-include="${EPREFIX}/usr/include" \
+ --with-lua-lib="${EPREFIX}/usr/$(get_libdir)/lua" \
+ --runwith=lua"$(usev jit)" \
+ --cflags="${CFLAGS} -Wall -fPIC" \
+ --ldflags="${LDFLAGS} -shared" \
+ --c-compiler="$(tc-getCC)" \
+ --linker="$(tc-getCC)" || die "configure failed"
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ systemd_dounit "${FILESDIR}/${PN}".service
+ systemd_newtmpfilesd "${FILESDIR}/${PN}".tmpfilesd "${PN}".conf
+ newinitd "${FILESDIR}/${PN}".initd-r2 ${PN}
+ keepdir "${JABBER_SPOOL}"
+}
+
+pkg_postinst() {
+ elog "If you are using the MySQL backend, you need to update its schema:"
+ elog "https://prosody.im/doc/release/0.11.0#upgrade_notes"
+}